﻿Imports C1.Web.Wijmo.Controls.C1Chart
Imports System.Drawing

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
    
        Dim Series As LineChartSeries = Nothing
        Dim SeriesStyle As ChartStyle = Nothing
        Dim Dates As List(Of String) = Nothing
        Dim Values As List(Of Double) = Nothing
        Dim ValueLabels As List(Of String) = Nothing

        Dim MyDate As Date = Nothing
        Dim R As Random = Nothing
        Try

            Dates = New List(Of String)
            Values = New List(Of Double)
            ValueLabels = New List(Of String)

            MyDate = #1/1/2011#
            R = New Random(100)

            For I As Integer = 0 To 10
                Dates.Add(MyDate)
                Values.Add(R.Next(1, 100))
                ValueLabels.Add(MyDate)

                MyDate = MyDate.AddMonths(1)
            Next


            With C1LineChart1

                .SeriesList.Clear()
                .SeriesStyles.Clear()

                '* SET VALUE LABELS
                .Axis.X.ValueLabels = ValueLabels.ToArray
                .Axis.X.AnnoMethod = ChartAxisAnnoMethod.ValueLabels
                .Axis.X.AnnoFormatString = "MM/dd/yy"
                .Axis.X.Alignment = ChartAxisAlignment.Far
         

                Series = New LineChartSeries()
                SeriesStyle = New ChartStyle

                Series.Data.X.StringValues = Dates.ToArray
                Series.Data.Y.DoubleValues = Values.ToArray

                .SeriesStyles.Add(SeriesStyle)
                .SeriesList.Add(Series)

            End With


        Catch ex As Exception

        End Try
    End Sub


End Class
